<?php
session_start();
include "verifica.php";
include "validaciones.php";
include "correlativos.php";

@$xusuario = $_REQUEST['xusuario'];
@$xclave = $_REQUEST['xclave'];
@$xtipo_precio_usuario = $_REQUEST['xtipo_precio_usuario'];

@$xlinea_credito=$_REQUEST['xlinea_credito'];
@$xsobregiro=$_REQUEST['xsobregiro'];

@$xnombres=trim($_REQUEST['xnombres']);
@$xrazonsocial=trim($_REQUEST['xrazonsocial']);

@$xper_ruc_dni_tipo=$_REQUEST['xper_ruc_dni_tipo'];

@$xruc=trim($_REQUEST['xruc']);
@$xnombre_contacto=trim($_REQUEST['xnombre_contacto']);
@$xapellido_contacto=trim($_REQUEST['xapellido_contacto']);
@$xemail=trim($_REQUEST['xemail']);
@$xtelefono1=trim($_REQUEST['xtelefono1']);
@$xtelefono2=trim($_REQUEST['xtelefono2']);
@$xdireccion1=trim($_REQUEST['xdireccion1']);
@$xdireccion2=trim($_REQUEST['xdireccion2']);
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xcredito=$_REQUEST['xcredito'];
if($xcredito!=1){
	$xcredito=0;
}

include "../conexion.php";

$cli = new Clientes;

switch($xaccion){
	
	case "adicionar": 	
		if($cli->adicionar($conexion)==1){
			//echo "adicionar";

			?>			
			<script language="javascript">
			alert("Cliente creado satisfactoriamente.")
			parent.location.href="../clientes.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($cli->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Cliente modificado satisfactoriamente.")
			parent.location.href="../clientes.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->personas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{						
			if($cli->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Cliente eliminado satisfactoriamente.")
				parent.location.href="../clientes.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($cli->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Clientes{

	//Adiciona nuevo cliente
	function adicionar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion,$xlinea_credito,$xsobregiro,$cor,$xper_ruc_dni_tipo, $xusuario, $xclave, $xtipo_precio_usuario;

		$correlativo = $cor->persona($conexion);		
		$correlativo_persona=$correlativo;		
		
		if(trim($xclave) == '' or $xclave == NULL){
			$xclave = $correlativo_persona;
		}else{
			$xclave	= $xclave;		
		}

		$r = mysqli_query($conexion,"insert into personas (per_nombre_comercial, 
												  per_razon_social,
												  per_ruc,
												  per_nombre,
												  per_apellido,
												  per_email,
												  per_credito,
												  pertip_codi_fk,
												  per_estado,
												  per_telefono1,
												  per_telefono2,
												  per_direccion1,
												  per_direccion2,
												  per_usu_crea,
												  per_importe_credito,
												  per_importe_sobregiro,
												  per_codigo,
												  per_ruc_dni_tipo,
												  per_clave,
												  prctip_codi_fk
												  )
										values ('$xnombres', 
												'$xrazonsocial',
												'$xruc',
												'$xnombre_contacto',
												'$xapellido_contacto',
												'$xemail',
												$xcredito,
												2,
												1,
												'$xtelefono1',
												'$xtelefono2',
												'$xdireccion1',
												'$xdireccion2',
												'$xusuario_sesion',
												'$xlinea_credito',
												'$xsobregiro',
												'$correlativo_persona',
												'$xper_ruc_dni_tipo',
												'$xclave', 
												'$xtipo_precio_usuario');");
				
		if($r){						
			return 1;
		}	
				
	}	

	//Modifica un cliente
	function modificar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion,$xlinea_credito,$xsobregiro,$xper_ruc_dni_tipo, $xusuario, $xclave, $xtipo_precio_usuario;	

		$r = mysqli_query($conexion,"update personas set per_nombre_comercial = '$xnombres', 
												  per_razon_social = '$xrazonsocial',
												  per_ruc = '$xruc',
												  per_nombre = '$xnombre_contacto',
												  per_apellido = '$xapellido_contacto',
												  per_email = '$xemail',
												  per_credito = '$xcredito',
												  pertip_codi_fk = 2,												
												  per_telefono1 = '$xtelefono1',
												  per_telefono2 = '$xtelefono2',
												  per_direccion1 = '$xdireccion1',
												  per_direccion2 = '$xdireccion2',
												  per_usu_modifica = '$xusuario_sesion',
												  per_importe_credito = '$xlinea_credito',
												  per_importe_sobregiro = '$xsobregiro',
												  per_ruc_dni_tipo = '$xper_ruc_dni_tipo',
												  per_clave = '$xclave',
												  prctip_codi_fk = '$xtipo_precio_usuario'	
										where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina un cliente
	function eliminar($conexion){
		global $xnombres, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from personas where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa un cliente
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update personas set per_estado = '$xestado',
														 per_usu_activa = '$xusuario_sesion' 
													where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
